summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2016-09-26 12:04:25 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2016-09-26 12:04:25 +0200
commitdbb52761b42f07294cc86898d3b21e48ebf140a6 (patch)
treed5028acc00e3c5ad9dd4d423ee3c39a11c0ea579 /www-apps/owncloud
parentwww-apps/owncloud: drop version 7 (unsupported) (diff)
downloadgentoo-dbb52761b42f07294cc86898d3b21e48ebf140a6.tar.gz
gentoo-dbb52761b42f07294cc86898d3b21e48ebf140a6.tar.bz2
gentoo-dbb52761b42f07294cc86898d3b21e48ebf140a6.zip
www-apps/owncloud: version bumps, fixes bug #594852
Package-Manager: portage-2.3.1
Diffstat (limited to 'www-apps/owncloud')
-rw-r--r--www-apps/owncloud/Manifest5
-rw-r--r--www-apps/owncloud/owncloud-8.0.15.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-8.1.10.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-8.2.8.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-9.0.5.ebuild48
-rw-r--r--www-apps/owncloud/owncloud-9.1.1.ebuild48
6 files changed, 257 insertions, 0 deletions
diff --git a/www-apps/owncloud/Manifest b/www-apps/owncloud/Manifest
index f59a7db5301..ae8db7fe50b 100644
--- a/www-apps/owncloud/Manifest
+++ b/www-apps/owncloud/Manifest
@@ -1,6 +1,11 @@
DIST owncloud-8.0.13.tar.bz2 23751226 SHA256 ccce3b40bf7ece0e76decb69454190112839271bdc4dc0821e66999174930a0d SHA512 a5f2dde23a874936e79feff84a74744a7fbb359df3a334f6fddda1aac99bf8dee41c81d3ca1ec41064de22c50699cff9a2ec05e4b7e754660a1066f62cecbf89 WHIRLPOOL 318c17665209127f791ca174745cd6947358ac8009af20c3728255d05c3a06487938ab0fb339b23b6d6793626ae3c2b6d971a881e97b3116cd388be3b3cda33f
DIST owncloud-8.0.14.tar.bz2 23822493 SHA256 569785ff4c1f8aef8a3c4fb8427e372f80b3bf0324a8cd7eee7027a48424ae9d SHA512 55c3840dfe71c73c0dd3ac33cd4a0084ecd6c69658b68d16f900e05c9338fcab28265bffbf3c872c2680757db3f45e2bfb751907a2bdd4a66ee028003b83423a WHIRLPOOL adce4bbecbf9444c5db69589e196e8e6936cb347468e489821307fd8b3ccab20b9b7d550fc6ec206afbfc3ada92dafee5648025127b914df1318d819fa8f6d38
+DIST owncloud-8.0.15.tar.bz2 23826340 SHA256 04f5dcdfe5ee6d0ff97f484d92497ae524230240f5933460376b5c72a71404a0 SHA512 22613dd195daf2fac4035cf261780ab2c75b22d30331595fc69e11fdc5340af40805ca83b2785a175be8ad6a68931ec12bd5aeab9e2f483a872b58070436d1c2 WHIRLPOOL 67b20a5e6c6c2e05470b3ca93e765ec5a6044b2990e76c4af8334941002a2fe1d92d2acfe29e42293c7e03a72689d7a555266c9068ce55ffefbd18b7c8ceec13
+DIST owncloud-8.1.10.tar.bz2 24607017 SHA256 c330938471bc1028746b440a4b8d6fc4059372e34ef9da1a84b91a4447d357ef SHA512 3c798a55432dce29441d0c829edcc01c25860174be5f8b03e4dca939a9e16eb1704dcd9b8a501957f0f8d8212ccddb97b404a4f514e7bd8457d17163d9867f4c WHIRLPOOL 18d8c346745be9a8887e3149cd97a0eb98bca0f380825a73cd308a2118c4d6230bd601418981bfec605158e95241b4e06602dbbd436564a5ad09d8694925b39e
DIST owncloud-8.1.9.tar.bz2 24605448 SHA256 5c8c7ec2234881e49113ff2a6c47940781f10682865934c3e01ee77d66976960 SHA512 d672aac8a1c99fdb914e3c538bdeb944649408a62b754ac1a9fab99bb457d16989482ee97e53bbcde2459d791b3f3f57cae32a2d552adab0568f84e8deefd847 WHIRLPOOL 9291bca449982a4aaef400433c1368e9daf8a5edda379f76097aa939ae21be88fe77ea93ecca5ff7950f9e071655a09564448444cd22ec6d2705d67c437c0efe
DIST owncloud-8.2.7.tar.bz2 28123043 SHA256 bbba6aa055ae15a97071ca0eac05bf3a8f28407c6d85f8f3b9a2df6d3baa85f3 SHA512 64a6c1c7dad5687efa12b1a47e79f9f0c46a5513debbd81786b30c2657232229f51ad4b5943db5e68ccf79522cfa965492b4861dabc2787e3f7e0fe36acd6c01 WHIRLPOOL 223fa00779fb46332b89a5583971bea7152f1f6674fccce70684549a75a3532c32ae4b17959b623afb717000c7ba578869015c4ae9ec745fa597fc5f4d1b4386
+DIST owncloud-8.2.8.tar.bz2 28033756 SHA256 3e4a54d7ad972adbdf359c26a02aab9d00a08cdd40e5097b8d63baebde58204c SHA512 1063397cf0b886362e3422c30cbf748a33149887dcb91633ce53abc868f7ae56b0c931c37ce77182e59fa99198a293237d38ca2d7bc6d98fe867b2e2aa1d936b WHIRLPOOL c7079971858320ee08bec30d05321667112c8cead0c17f7e5ebb4cf4b7708bbae38a9c0e0de1824352f03fb819ca27251fb75096f8dcfe48fe4ff9c25444c97b
DIST owncloud-9.0.4.tar.bz2 28521439 SHA256 ab71e8648c918629f6551333c45dd3b79d90f1dc0171d3def0a443bdc238a669 SHA512 c11e82cd6e55c3e3f2dd0c9ff44b352ea564067d31730899ae710a69a31e7f026dcfb50e4c25fd1a1392b2be7c7a3dab5fd0bfc4ea034eed64c8cbe09bdb3a10 WHIRLPOOL 7ef78fd1c349832e344d4d2291b5bb3e701b1abf72097e85cd856cc506e9e3582aae12368488aa520f58ef7e18877f6a86d5dc395ab24a23103dc30cf3575ab1
+DIST owncloud-9.0.5.tar.bz2 28435642 SHA256 c8c2c4f7a06208f006762740ca6bb6a4c4d8362fc8d226dcccb82b970993f7c5 SHA512 e100f2d84f2aa35669479618528b1d08c33a654378b6feae5b67430342f7ceacc7403e5bcb5447ded592a2a3a7f69fda55697d7b39d6382c9887da46a189b74e WHIRLPOOL 2cbab98a2f0f7423eb7d86236a73a6c18ef09f1f84827832ddd94c43a9c350e075df22e08519cc5b696e268a47cf54830840a2c1554a5b35569bcf17c661cce6
DIST owncloud-9.1.0.tar.bz2 29055490 SHA256 26df5f51ae87f83dba93c130a1929278afe69f9426b877e3c5064034bec28ee3 SHA512 aaf7f9c85ea54613001d9a2f10e8ca6706add81c4d56d1f8466a9b6f7406fdbc9f255fb3714543ab66eb315e61d7cb645d1513b944921d75c7c609c3e4f72384 WHIRLPOOL c5b702a68f8e9c0168e7846de4afc8518f104effa8dabd13ffcf52b950f108f1a5e251b9da663b880c9cfd4902d47736c4c22a2457f68966144313b442e27240
+DIST owncloud-9.1.1.tar.bz2 28984910 SHA256 a6bf3531ebb7e09a11aaae641bc3af933f339261424782841c640bf9df1ba7b9 SHA512 dc83b411e54a233960dd16846b0b711c4f713a24c4b07bcc5441748270fee2e3eeaf3a49442e0caa618d10dae5be2d235ab7366240589a1d6d85e655b355a84e WHIRLPOOL d9275f97993fdbb796f63e10bf3e50ca8d7845842f1bafe2a44cdd2f06d43747ce1eb766d63521ab4cd5c32367590344db82dfbd3bfd7e4f410e24c0b6dce788
diff --git a/www-apps/owncloud/owncloud-8.0.15.ebuild b/www-apps/owncloud/owncloud-8.0.15.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.0.15.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-8.1.10.ebuild b/www-apps/owncloud/owncloud-8.1.10.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.1.10.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-8.2.8.ebuild b/www-apps/owncloud/owncloud-8.2.8.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.2.8.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-9.0.5.ebuild b/www-apps/owncloud/owncloud-9.0.5.ebuild
new file mode 100644
index 00000000000..8c09a8d21b8
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.0.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-9.1.1.ebuild b/www-apps/owncloud/owncloud-9.1.1.ebuild
new file mode 100644
index 00000000000..8c09a8d21b8
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.1.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}